#include <Servo.h>

Servo head;
Servo neck;
Servo rshoulder;
Servo ruarm;
Servo rlarm;

Servo lshoulder;
Servo luarm;
Servo llarm;
Servo monkey;

int signal=0;
int drum=A1;//drum interconnect signal output
int interconnect=A0;//interconnect signal output
int isobot=2;
int bb8=12;

void setup () {


pinMode (isobot,OUTPUT);
digitalWrite(isobot,LOW);
pinMode (bb8,OUTPUT);
digitalWrite(bb8,LOW);
pinMode(drum,OUTPUT);
pinMode(interconnect,OUTPUT);
digitalWrite(drum,LOW);
digitalWrite(interconnect,LOW);
head.attach(3);
neck.attach(4);
rshoulder.attach(5);
ruarm.attach(6);
rlarm.attach(7);
lshoulder.attach(8);
luarm.attach(9);
llarm.attach(10);
monkey.attach(11);

pinMode (signal,OUTPUT);
digitalWrite(signal,LOW);

monkey.write(80);//monkey arms open
head.write(90);//arm out of way
neck.write(90);
rshoulder.write(65);
ruarm.write(20);
rlarm.write(90);

lshoulder.write(130);
delay(200);
luarm.write(160);
delay(200);
llarm.write(100);

delay(4000);

}

void loop() {

 
  digitalWrite(interconnect,HIGH);
  delay(300);
  digitalWrite(interconnect,LOW);

  rshoulder.write(90);//point at isobot
  ruarm.write(10);
  rlarm.write(65);
  neck.write(90);
  head.write(120);
  delay(1000);

  digitalWrite(isobot,HIGH);//turn on isobot
  delay(30000);
  digitalWrite(isobot,LOW);//turn off isobot
  delay(300);
  rshoulder.write(65);//reset right arm and head
  ruarm.write(20);
  rlarm.write(90);

  neck.write(110);//turn head to monkey
  lshoulder.write(80);
  delay(200);
  luarm.write(140);
  delay(1000);

  
  digitalWrite(bb8,HIGH);//turn on bb8
  delay(500);
  digitalWrite(bb8,LOW);//required to activate bb8

  monkey.write(170);//monkey claps two sequence
 delay(300);
 monkey.write(80);
 delay(300);
 monkey.write(170);
 delay(300);
 monkey.write(80);
 delay (2000);

 monkey.write(170);//monkey claps three sequence
 delay(300);
 monkey.write(80);
 delay(300);
 monkey.write(170);
 delay(300);
 monkey.write(80);
 delay (2000);
 
 monkey.write(170);
 delay(300);
 monkey.write(80);
 delay(300);
 monkey.write(170);
 delay(300);
 monkey.write(80);
 delay(2000);
  

lshoulder.write(130);//reset left shoulder
delay(200);
luarm.write(160);
delay(200);
llarm.write(100);
delay(200);


rshoulder.write(70);//point to drum
delay(100);
  ruarm.write(20);
  rlarm.write(120);
  head.write(90);
  neck.write(20);
  delay(200);
  ruarm.write(100);//point to right
  delay(1500);
  digitalWrite(drum,HIGH);
  delay(1500);
  digitalWrite(drum,LOW);

  delay(23000);

  rshoulder.write(65);//back to start
  ruarm.write(20);
  rlarm.write(90);
  
  neck.write(35);//look at elves
  head.write(120);
  
  delay(72000);//wait for work on clock
  
  neck.write(20);//turn to face clock
  head.write(100);
  ruarm.write(90);//point to clock
  delay(34000);//wait till everything is right

  neck.write(90);
  head.write(90);
  rshoulder.write(65);
  ruarm.write(20);
  rlarm.write(90);

  delay(5000);//test delay
  

}
